<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Generate Nim</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="container">
    <div class="" sec:authorize="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE','VIEW_AKADEMIK','VIEW_PASCASARJANA')">
        <div class="x_panel">
            <div class="row">
                <form th:action="@{/generateNim/formS2}" method="post" th:object="${detailDto}">
                    <div class="col-md-12 col-sm-12 col-xs-12" >
<!--                        <div class="row" th:if="${detailDto.id} == null">-->
<!--                            <div class="col-md-12 col-sm-12 col-xs-12">-->
<!--                                <div class="x_panel tile fixed_height_160">-->
<!--                                    <div class="alert alert-info">-->
<!--                                        <h2><i class="fa fa-warning"></i> Warning!</h2>-->
<!--                                        <h5>Silahkan isi data detail terlebih dahulu di akun pendaftar.</h5>-->
<!--                                        <a th:href="@{/pendaftar/listS2(search = ${detailDto.pendaftar.nomorRegistrasi})}" class="btn btn-warning"><i class="fa fa-user"></i>&nbsp;Cek Pendaftar</a>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="x_panel tile fixed_height_160" th:if="${detailDto.id} != null">-->
                        <div class="x_panel tile fixed_height_160">
                            <h2 class="StepTitle">Data Pribadi</h2>
                            <div style="color: blue"  class="col-md-6" th:if="${detailDto.nim != null && detailDto.nim != ''}">
                                <span>NIM</span>
                                <h3  th:text="${detailDto.nim}"></h3>
                            </div>
                            <div class="form-horizontal form-label-left">
                                <div class="col-md-12"><br>
                                    <div class="row">
                                        <div class="row col-sm-offset-1 ">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Nama
                                                    </label>
                                                    <input type="text" name="nama"
                                                           class="form-control" th:field="*{nama}"
                                                           placeholder="Nama">
                                                    <input type="hidden" name="id" th:field="*{id}">
                                                    <input type="hidden" name="pendaftar" th:field="*{pendaftar}">
                                                    <input type="hidden" name="leads" th:field="*{leads}">
                                                    <input type="hidden" name="prodiLama" th:field="*{prodiLama}">
                                                    <input type="hidden" name="nim" th:field="*{nim}">
                                                </div>
                                            </div><div class="col-md-6">
                                            <div class="form-group">
                                                <label>Email
                                                </label>
                                                <input type="text" name="email"
                                                       class="form-control" th:field="*{email}"
                                                       placeholder="Email...">
                                            </div>
                                        </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>No Handphone
                                                    </label>
                                                    <input type="number" name="noHp"
                                                           class="form-control" th:field="*{noHp}"
                                                           placeholder="No Handphone...">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Nomor KTP</label>
                                                    <input type="text" name="noKtp" th:field="*{noKtp}"  class="form-control"
                                                           required  placeholder="Nomor KTP" >
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Tempat Lahir</label>
                                                    <input type="text" name="tempatLahir" id="tempatLahir" th:field="*{tempatLahir}"
                                                           class="form-control" required placeholder="Tempat Lahir">
                                                </div>
                                            </div>


                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Tanggal Lahir</label><br>
                                                    <input type="date" th:field="*{tanggalLahir}"
                                                           name="tanggalLahir"class="form-control">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <div class="form-group">
                                                        <label class="control-label">Jenis Kelamin</label><br>
                                                        <select name="jenisKelamin"class="form-control" required th:field="*{jenisKelamin}" id="">
                                                            <option value="">- Pilih Jenis Kelamin -</option>
                                                            <option value="PRIA">Laki-Laki</option>
                                                            <option value="WANITA">Perempuan</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Golongan Darah</label>
                                                    <select type="text" name="golonganDarah" th:field="*{golonganDarah}"
                                                            class="form-control" required autofocus>
                                                        <option value="">-Pilih Golongan Darah-</option>
                                                        <option value="A">A</option>
                                                        <option value="B">B</option>
                                                        <option value="AB">AB</option>
                                                        <option value="O">O</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Agama</label>
                                                    <select name="agama" class="form-control" th:field="*{agama}" required autofocus>
                                                        <option value="">-Pilih Agama-</option>
                                                        <option value="Islam">Islam</option>
                                                        <option value="Hindu">Hindu</option>
                                                        <option value="Budha">Budha</option>
                                                        <option value="Kristen">Kristen</option>
                                                        <option value="Katholik">Katholik</option>
                                                        <option value="KongHuCu">Kong Hu Cu</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <hr>
                                        <div class="row" style="color: red;">
                                            <div class="col-sm-6">
                                                <label>Program Studi Pilihan *</label>
                                                <select name="programStudi"
                                                        class="form-control js-example-placeholder-single" required autofocus th:field="*{programStudi}"><!--th:field="*{programStudi}"-->
                                                    <option value="">-Pilih Program Studi-</option>
                                                    <option th:each="ins : ${daftarProdiS2}"
                                                            th:value="${ins.id}"
                                                            th:text="${ins.nama}">Ekonomi Syariah</option>
                                                </select>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Konsentrasi
                                                    </label>

                                                    <select name="konsentrasi" th:field="*{konsentrasi}" class="form-control"
                                                            required autofocus><!--th:field="*{konsentrasi}"-->
                                                        <option value="">-Pilih Konsentrasi-</option>
                                                        <option value="Reguler" >Reguler(S2)</option >
                                                        <option value="Eksekutif" >Eksekutif(S2)</option >
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <hr>

                                        <div class="row col-sm-offset-1 ">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Alamat Rumah</label>
                                                    <input type="text" name="alamatRumah" required
                                                           class="form-control" th:field="*{alamatRumah}"
                                                           placeholder="Alamat Tempat Tinggal">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Provinsi</label>
                                                    <input type="text"
                                                           name="namaProvinsi" id="provinsi"
                                                           class="form-control" th:field="*{provinsi.nama}"
                                                           placeholder="Provinsi..." required>
                                                    <input type="hidden" name="provinsi"  th:field="*{provinsi}" id="idProvinsi">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Kabupaten/Kota</label>
                                                    <input type="text" id="kabupatenKota" disabled
                                                           name="namaKabupatenKota" th:field="*{kokab.nama}" class="form-control"
                                                           placeholder="Kabupaten/Kota..." required>
                                                    <input type="hidden" name="kokab" th:field="*{kokab}" id="idKabupatenKota">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Kode Pos</label>
                                                    <input type="number" th:field="*{kodePos}" required
                                                           name="kodePos" class="form-control"
                                                           placeholder="Kode Pos">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Negara</label>
                                                    <input type="text" name="negara" required
                                                           class="form-control" th:field="*{negara}"
                                                           placeholder="Asal Negara">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <div class="form-group">
                                                        <label class="control-label">Status Sipil</label><br>
                                                        <select name="statusSipil" th:field="*{statusSipil}" required class="form-control">
                                                            <option value="">- Status Sipil -</option>
                                                            <option value="WNI">WNI</option>
                                                            <option value="WNA">WNA</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>

                                        <hr>
                                        <div class="row col-sm-offset-1 ">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Pekerjaan</label>
                                                    <select name="pekerjaan" class="form-control" th:field="*{pekerjaan}" required>
                                                        <option value="">-Pilih Pekerjaan-</option>
                                                        <option value="Tidak Bekerja">Tidak Bekerja</option>
                                                        <option value="PNS (selain Guru, Dosen & Dokter/Medis)">PNS (selain Guru, Dosen & Dokter/Medis)</option>
                                                        <option value="Guru">Guru</option>
                                                        <option value="Dosen">Dosen</option>
                                                        <option value="Dokter/Tenaga Medis">Dokter/Tenaga Medis</option>
                                                        <option value="TNI/POLRI">TNI/POLRI</option>
                                                        <option value="Pegawai BUMN">Pegawai BUMN</option>
                                                        <option value="Pegawai Swasta">Pegawai Swasta</option>
                                                        <option value="Pengusaha/Wiraswasta">Pengusaha/Wiraswasta</option>
                                                        <option value="Pengacara/Hakim/Jaksa/Notaris">Pengacara/Hakim/Jaksa/Notaris</option>
                                                        <option value="Artis/Pekerja Seni">Artis/Pekerja Seni</option>
                                                        <option value="Lainya ...">Lainnya ...</option>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Alamat Pekerjaan</label>
                                                    <input type="text"name="alamatPekerjaan" required
                                                           class="form-control" th:field="*{alamatPekerjaan}"
                                                           placeholder="Alamat Pekerjaan...">
                                                </div>
                                            </div>

                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Sumber Biaya</label>
                                                    <select name="sumberBiaya" th:field="*{sumberBiaya}"
                                                            class="form-control" required>
                                                        <option value="">-Pilih Sumber Biaya-</option>
                                                        <option value="Biaya Sendiri">Biaya Sendiri</option>
                                                        <option value="Biaya dari orang tua">Biaya dari orang tua</option>
                                                        <option value="Beasiswa dari Pemerintah Indonesia">Beasiswa dari Pemerintah Indonesia</option>
                                                        <option value="Beasiswa dari BUMN/Perusahaan Nasional">Beasiswa dari BUMN/Perusahaan Nasional</option>
                                                        <option value="Beasiswa dari Pemerintah Asing">Beasiswa dari Pemerintah Asing</option>
                                                        <option value="Beasiswa dari Perusahaan/Lembaga Asing">Beasiswa dari Perusahaan/Lembaga Asing</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Asal Pendidikan Sebelumnya</label>
                                                    <input type="text" name="asalPendidikan"  th:field="*{asalPendidikan}"
                                                           required class="form-control" placeholder="Asal Pendidikan Sebelumnya ...">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


<!--                 <div class="col-md-12 col-sm-12 col-xs-12" th:if="${detailDto.id} != null">-->
                 <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel tile fixed_height_160">
                        <h2 class="StepTitle">Data Orangtua</h2>
                        <hr>
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row col-sm-offset-1 ">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Nama Ayah</label>
                                                <input type="text" name="namaAyah" required
                                                       class="form-control" th:field="*{namaAyah}"
                                                       placeholder="Nama Ayah">
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Nama Ibu</label>
                                                <input type="text" name="namaIbu" required
                                                       class="form-control" th:field="*{namaIbu}"
                                                       placeholder="Nama Ibu">
                                            </div>
                                        </div>


                                        <h6 class="border-bottom border-gray pb-2 mb-0"></h6>
                                        <br>
                                        <center>
                                            <input th:if="${detailDto.pendaftar} != null" class="btn btn-primary" type="submit" value="Update">
                                            <input th:if="${detailDto.pendaftar} == null" class="btn btn-primary" type="submit" value="Simpan">
                                            <a th:href="@{/pembayaran/list}" class="btn btn-primary" role="button">
                                                <span aria-hidden="true"></span>Batal
                                            </a>
                                        </center>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>
    </div>
</section>

</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    $(".js-example-tags").select2({
        tags: true,
        placeholder: "Pilih Kode Pos",
        allowClear: true
    });

</script>



